package com.zswl.cloud.springBatch.client.model.dfy.DomesticHotel.response;

import com.zswl.cloud.springBatch.client.model.dfy.DfyResponseBase;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class HotelListResponse extends DfyResponseBase {

    private Datas data;


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class Datas {

        // 酒店数量
        private Integer count;

        // 酒店列表
        private List<HotelInfo> hotelList;

        // 过滤条件
        private List<Filter> filter;


    }


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class HotelInfo {
        // 酒店ID
        private String hotelId;

        // 酒店中文名
        private String chineseName;

        // 酒店英文名
        private String englishName;

        // 星级
        private Integer star;

        // 星级名称
        private String starName;

        // 酒店地址
        private String address;

        // 经度
        private Double longitude;

        // 纬度
        private Double latitude;

        // 设施 枚举如下：1.免费wifi 2.餐厅 3.停车场 4.接机服务 5.免费洗漱用品 7.游泳池 8.健身房 9.会议室 10.SPA 12.24小时热水
        private Integer[] facilities;

        // 起价
        private BigDecimal price;

        // 图片
        private String picture;


    }


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class Filter {
        // 过滤条件id
        private String filterId;

        // 过滤条件名称
        private String filterName;

        // 过滤条件的子信息
        private List<Pros> pros;

    }

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class Pros {

        // ID
        private Integer id;

        // 名称
        private String name;

        // 子信息。仅当filterId=area时有数据
        private List<ProsOne> pros;


    }

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class ProsOne {

        // ID
        private Integer id;

        // 地图经度-（百度）
        private String lng;

        // 地图纬度-（百度）
        private String lat;

        // 名称
        private String name;


    }


}
